/*****************************************************************************
 * Copyright (C) Cinterion Wireless Modules GmbH
 *****************************************************************************
 * Project: Quinn-RIL-Driver
 *****************************************************************************
 * Author : Wireless Modules RD SW A2
 *****************************************************************************
 * $Workfile: Y:/z_ms-d/src/working/Quinn/RhaDll/rhadll.h $
 * $Revision: /main/ms-d/6 $
 *     $Date: 2012-01-05 14:38:52 $
 *   $Author: ctna0256 $
 *****************************************************************************
 * Target:
 *  Microsoft Windows Mobile 5.0
 *****************************************************************************
 * Description:
 *  HC25 Radio Hardware Abstraction Layer
 *****************************************************************************
 *
 * $Log: Y:/z_ms-d/src/working/Quinn/RhaDll/rhadll.h$ 
 * 
 * /main/ms-d/6   2012-01-05 14:38:52   ctna0256 
 * New API for CDMA/UMTS network technology switch
 *
 * /main/ms-d/5   2008-08-22 10:22:19   ctna0256
 * Set Cinterion copyright text
 *
 * /main/ms-d/4   2008-08-20 12:11:07   ctna0450
 * Prepared new disclaimer handling
 *
 * /main/ms-d/3   2007-11-26 17:05:40   kr36712
 * integration of GPS support
 * use of the mux protocol
 *
 * /main/ms-d/2   2007-01-19 10:06:48   mp49210
 *
 *
 * /main/ms-d/1   2006-10-27 16:50:04   wm36264
 * Copied from classic RIL
 *
*/

//////////////////////////////////////////////////////////////////////////////
// Copyright (C) 2008 Cinterion Wireless Modules GmbH
// Copyright (C) 2006-2008 Siemens AG
// Copyright (C) 2003 Intrinsyc Europe Ltd.
//
// Version: 1.0
// Date:    dummy
//
//////////////////////////////////////////////////////////////////////////////

// Function prototypes
void RHA_Init(void);
void RHA_DeInit(void);
BOOL RHA_RadioPwrOn(void);
BOOL RHA_RadioPwrOff(void);
BOOL RHA_IsRadioPwrOn(void);
BOOL RHA_ActivateVoicePath(DWORD dwTxAudioMode, DWORD dwRxAudioMode);
BOOL RHA_DeactivateVoicePath(void);
BOOL RHA_AdjustTxVolume(DWORD dwAudioMode, DWORD dwExtMicAudioCodecVol);
BOOL RHA_AdjustRxVolume(DWORD dwAudioMode, DWORD dwExtAudioCodecVol);
BOOL RHA_GetRHAVersion(DWORD *pdwVersion);
BOOL RHA_ConfirmAudioMode(DWORD *dwTxAudioMode, DWORD *dwRxAudioMode);
DWORD RHA_SystemPowerChange(CEDEVICE_POWER_STATE CurrPwrState, CEDEVICE_POWER_STATE NewPwrState, DWORD dwCurrModuleState, DWORD dwNewDefaultModuleState, BOOL fOngoing, BOOL fQuery);
BOOL RHA_GpsAntennaPowerSupplyOn(void);
BOOL RHA_GpsAntennaPowerSupplyOff(void);
void RHA_SwitchToCDMA(void);
void RHA_SwitchToUMTS(void);

//
// Debug Zones.
//
#ifndef DEBUG

#define ZONE_INIT       1
#define ZONE_FUNCTION   1

#else DEBUG

#define ZONE_INIT       DEBUGZONE(0)
#define ZONE_FUNCTION   DEBUGZONE(1)

#endif // DEBUG
